OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Enumerations
disaster_vehicle.h File Reference

All disaster vehicles. More...

`#include "vehicle_base.h"`

Go to the source code of this file.

## Data Structures
struct | DisasterVehicle
| Disasters, like submarines, skyrangers and their shadows, belong to this class. More...

## Macros
#define | FOR_ALL_DISASTERVEHICLES(var) FOR_ALL_VEHICLES_OF_TYPE(DisasterVehicle, var)
| Iterate over disaster vehicles.

## Enumerations
enum | DisasterSubType { ST_ZEPPELINER, ST_ZEPPELINER_SHADOW, ST_SMALL_UFO, ST_SMALL_UFO_SHADOW, ST_AIRPLANE, ST_AIRPLANE_SHADOW, ST_HELICOPTER, ST_HELICOPTER_SHADOW, ST_HELICOPTER_ROTORS, ST_BIG_UFO, ST_BIG_UFO_SHADOW, ST_BIG_UFO_DESTROYER, ST_BIG_UFO_DESTROYER_SHADOW, ST_SMALL_SUBMARINE, ST_BIG_SUBMARINE }
| Different sub types of disaster vehicles. More...

## Detailed Description

All disaster vehicles.

Definition in file disaster_vehicle.h.

## Macro Definition Documentation

#define FOR_ALL_DISASTERVEHICLES | ( |  | var | ) | FOR_ALL_VEHICLES_OF_TYPE(DisasterVehicle, var)

Iterate over disaster vehicles.

Parameters

  var | The variable used to iterate over.

Definition at line 60 of file disaster_vehicle.h.

Referenced by AfterLoadGame(), ReleaseDisastersTargetingIndustry(), and ReleaseDisastersTargetingVehicle().

## Enumeration Type Documentation

enum DisasterSubType

Different sub types of disaster vehicles.

Enumerator:

  ST_ZEPPELINER | Zeppelin, crashes at airports.
  ST_ZEPPELINER_SHADOW | Shadow of the zeppelin.
  ST_SMALL_UFO | Small UFO, tries to find a road vehicle to destroy.
  ST_SMALL_UFO_SHADOW | Shadow of small UFO.
  ST_AIRPLANE | Airplane destroying an oil refinery.
  ST_AIRPLANE_SHADOW | Shadow of airplane.
  ST_HELICOPTER | Helicopter destroying a factory.
  ST_HELICOPTER_SHADOW | Shadow of helicopter.
  ST_HELICOPTER_ROTORS | Rotors of helicopter.
  ST_BIG_UFO | Big UFO, finds a piece of railroad to "park" on.
  ST_BIG_UFO_SHADOW | Shadow of the big UFO.
  ST_BIG_UFO_DESTROYER | Aircraft the will bomb the big UFO.
  ST_BIG_UFO_DESTROYER_SHADOW | Shadow of the aircraft.
  ST_SMALL_SUBMARINE | Small submarine, pops up in the oceans but doesn't do anything.
  ST_BIG_SUBMARINE | Big submarine, pops up in the oceans but doesn't do anything.

Definition at line 18 of file disaster_vehicle.h.